Subject: Re: [bug#64711] [PATCH 40/43] gnu: pango: Support build for the Hurd.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Wed, 19 Jul 2023 22:51:01 +0200

Maxim Cournoyer writes:

Hi Maxim,

> Janneke Nieuwenhuizen <[email-masked]> writes:
>
>> Maxim Cournoyer writes:
>>
>> Hello,
>>
>>> Janneke Nieuwenhuizen <[email-masked]> writes:
>>>
>>> [...]

[..]

>> That will trigger a rebuild that I would like to avoid.
>
> Ah, apologies, I had not thought about this causing rebuilds.

Yeah, tricky.

>> We could avoid cons by doing
>>
>>      (append (list `(,glib "bin"))      ;glib-mkenums, etc.
>>              (if (target-hurd?)
>>                  '()
>>                  (list gobject-introspection)) ;g-ir-compiler, etc.
>>              (list
>>               help2man
>>               perl
>>               pkg-config
>>               python-wrapper))
>>
>> perhaps the best option?
>
> Either ways are fine, sorry for the noise :-).

No problem, thanks for chiming in and caring enough about stylistics!
I like the last variant probably slightly better, so I'll keep that
for harfbuzz and pango.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com